Subject: [MMUSIC] Version Notification for draft-ietf-mmusic-rfc4566bis-28.txt PLEASE REVIEW

From: Paul Kyzivat <[email-masked]>
Date: Tue, 22 May 2018 11:01:43 -0400

I submitted versions -27 and -28 to address the issues raised by 
Christer and some other odds and ends. (-28 corrected a screwup I made 
in -27.) Collectively they do the following:

- uses of 'field' to reference a part of a line are changed to sub-field

- references to fields are usually made using the form '"x=" line'
   (as it has been) but the first reference also identifies it by its
   field name (from the abnf).

- the description and syntax of the t, r, and z lines has been cleaned
   up. The abnf was particularly screwy. Now 'time-field' identifies the
   "t=" line, 'repeat-field' refers to the "r=" line and 'zone-field
   refers to the "z=" line.

- I've fixed a "bug" in the abnf around the zone-field. It used to be
   that you could have a z= without an r= even though we concluded that
   this has no meaning. I've now fixed this so it is syntactically
   invalid. PLEASE COMMENT if you think this change shouldn't be made.

- Made it mandatory to register new <proto> names and <bwtype> names
   with IANA. This was triggered by on of Ben's comments and subsequent
   discussion.

- I strengthened the text describing <bwtype> names, tying it in to
   the decision to make registering those names mandatory. This still
   allows the use of an X- prefix for unregistered names.
   PLEASE COMMENT if you think we should ban the use of X- prefixed
   names for bwtype.

- I further tweaked the abnf so that it will validate cleanly.
   (And I did validate it.)

- A few other odds and ends of text cleanup.

PLEASE TAKE A LOOK AND COMMENT!

You can get a diff from -26 to -28 here:

https://tools.ietf.org/rfcdiff?url1=draft-ietf-mmusic-rfc4566bis-26.txt;url2=draft-ietf-mmusic-rfc4566bis-28.txt

     Thanks,
     Paul
On 5/22/18 10:45 AM, [email-masked] wrote:
> 
> A new version of I-D, draft-ietf-mmusic-rfc4566bis-28.txt
> has been successfully submitted by Paul Kyzivat and posted to the
> IETF repository.
> 
> Name:		draft-ietf-mmusic-rfc4566bis
> Revision:	28
> Title:		SDP: Session Description Protocol
> Document date:	2018-05-21
> Group:		mmusic
> Pages:		59
> URL:            https://www.ietf.org/internet-drafts/draft-ietf-mmusic-rfc4566bis-28.txt
> Status:         https://datatracker.ietf.org/doc/draft-ietf-mmusic-rfc4566bis/
> Htmlized:       https://tools.ietf.org/html/draft-ietf-mmusic-rfc4566bis-28
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-mmusic-rfc4566bis
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-mmusic-rfc4566bis-28
> 
> Abstract:
>     This memo defines the Session Description Protocol (SDP).  SDP is
>     intended for describing multimedia sessions for the purposes of
>     session announcement, session invitation, and other forms of
>     multimedia session initiation.  This document obsoletes RFC 4566.
> 
>                                                                                    
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 
>

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 23 May 2018 07:53:45 +0000

Hi,

In general the change looks good. Thank You for implementing the clarification!

Just a few comments:

Q1:

You sometimes use "X field" and sometimes "X-field". For example, in section 5.13 the text says:

     "a=" lines (attribute-fields)

...and:

     Attribute fields can also...

Is there a reason why you sometimes use dash and sometimes don't?

Q2:

Section 5.14 says:

     "Thus a "c=" field of IP4 indicates..."

The "field of" sounds confusing. Perhaps "field with an IP4 proto sub-field value"?

Q3:

(Not directly related to the "field" issue, but an editorial change suggestion) 

Section 5.13 says:

"A media description may have any number of "a=" lines (attribute-fields) that are media description specific.  These are referred to as..."

"may have" sounds a little confusing, so I suggest to say:

""a=" lines (attribute-fields) may be associated with a media description. These are referred to as.."

Thanks!

Regards,

Christer

-----Original Message-----
From: mmusic [mailto:[email-masked]] On Behalf Of Paul Kyzivat
Sent: 22 May 2018 17:02
To: IETF MMUSIC WG <[email-masked]>
Subject: [MMUSIC] Version Notification for draft-ietf-mmusic-rfc4566bis-28.txt PLEASE REVIEW

I submitted versions -27 and -28 to address the issues raised by Christer and some other odds and ends. (-28 corrected a screwup I made in -27.) Collectively they do the following:

     Thanks,
     Paul
On 5/22/18 10:45 AM, [email-masked] wrote:
> has been successfully submitted by Paul Kyzivat and posted to the IETF 
> repository.
> 
> Please note that it may take a couple of minutes from the time of 
> submission until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 
> 

_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic

---

From: Paul Kyzivat <[email-masked]>
Date: Thu, 24 May 2018 11:10:27 -0400

On 5/23/18 3:53 AM, Christer Holmberg wrote:
> ....and:

No. I guess my global search missed that.

> The "field of" sounds confusing. Perhaps "field with an IP4 proto sub-field value"?

I agree.

> ""a=" lines (attribute-fields) may be associated with a media description. These are referred to as.."

I don't see the problem. I actually prefer what is written over your 
proposal.

I will address these in the next version, along with any other comments 
that come in.

	Thanks,
	Paul

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 24 May 2018 16:43:58 +0000

Hi,

...

>I don't see the problem. I actually prefer what is written over your proposal.

That's ok, if you prefer the current text. I just think "may have" sounds a little weird.

Regards,

Christer

> Subject: [MMUSIC] Version Notification for 
> draft-ietf-mmusic-rfc4566bis-28.txt PLEASE REVIEW
> 
> https://tools.ietf.org/rfcdiff?url1=draft-ietf-mmusic-rfc4566bis-26.tx
> t;url2=draft-ietf-mmusic-rfc4566bis-28.txt
> 
>       Thanks,
>       Paul

---

From: Paul Kyzivat <[email-masked]>
Date: Thu, 24 May 2018 15:38:24 -0400

Christer,

> In general the change looks good. Thank You for implementing the clarification!

Are you ok with what I did to the "t=", "r=", and "z=" syntax and 
description. That is the most significant change. It does render invalid 
a previously allowed usage of "z=". (A "t=" followed by "z=" without any 
"r=".)

But, at least based on our past clarifications of the semantics, that 
usage is meaningless.

	Thanks,
	Paul